HPE Greenlake For Block Storage REST APIs
HPE Greenlake For Block Storage REST APIs (1.0.0)
Download OpenAPI description
Overview
License
Languages
Servers
https://eu1.data.cloud.hpe.com/
https://us1.data.cloud.hpe.com/
https://jp1.data.cloud.hpe.com/
Mock server
https://developer.greenlake.hpe.com/_mock/docs/greenlake/services/block-storage/public/openapi/block-storage-latest/v1/block-storage-api/
- https://eu1.data.cloud.hpe.com/block-storage/v1/devtype4-storage-systems/{systemId}/hosts
- https://us1.data.cloud.hpe.com/block-storage/v1/devtype4-storage-systems/{systemId}/hosts
- https://jp1.data.cloud.hpe.com/block-storage/v1/devtype4-storage-systems/{systemId}/hosts
- Mock serverhttps://developer.greenlake.hpe.com/_mock/docs/greenlake/services/block-storage/public/openapi/block-storage-latest/v1/block-storage-api/block-storage/v1/devtype4-storage-systems/{systemId}/hosts
- curl
- JavaScript
- Node.js
- Python
- Java
- Go
- C#
- PHP
curl -i -X GET \
https://eu1.data.cloud.hpe.com/block-storage/v1/devtype4-storage-systems/7CE751P312/hosts \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Success
Name to be used for display purposes
Example: "Drive 0.SIDE_NONE.2.0"
Initiator Encrypted Chap Secret
Example: "secret"
Indicates if this host is used to export VASA vVol over NVMe Protocol.
Resoure Uri of the Host
Example: "/api/v3/hosts/2492b4e84f7536577a38be78f0da0c1a"
Host Service Host Id Filter
Example: "132b493352ca3141456333edf403be0c"
Target Encrypted Chap Secret
Example: "Target Encrypted Chap Secret"
Response
application/json
{ "count": 0, "offset": 0, "total": 0, "items": [ { … } ] }
- https://eu1.data.cloud.hpe.com/block-storage/v1/devtype4-storage-systems/{systemId}/hosts/{hostId}
- https://us1.data.cloud.hpe.com/block-storage/v1/devtype4-storage-systems/{systemId}/hosts/{hostId}
- https://jp1.data.cloud.hpe.com/block-storage/v1/devtype4-storage-systems/{systemId}/hosts/{hostId}
- Mock serverhttps://developer.greenlake.hpe.com/_mock/docs/greenlake/services/block-storage/public/openapi/block-storage-latest/v1/block-storage-api/block-storage/v1/devtype4-storage-systems/{systemId}/hosts/{hostId}
- curl
- JavaScript
- Node.js
- Python
- Java
- Go
- C#
- PHP
curl -i -X GET \
https://eu1.data.cloud.hpe.com/block-storage/v1/devtype4-storage-systems/7CE751P312/hosts/2a0df0fe6f7dc7bb16000000000000000000004817 \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
{ "agent": { "architecture": "SAN", "bootFromSan": "yes", "clusterName": "SAN-cluster", "clusterSoftware": "Linux", "clusterVersion": "v1.0.0", "hostApps": "mysql", "ipAddr": "10.15.12.136", "lastUpdated": { … }, "multiPathSoftware": "OS", "multiPathSoftwareVersion": "v1.0.0", "os": "Linux", "osPatch": "v1.0.0", "osVersion": "v1.0.0", "reportedName": "slvs" }, "associatedLinks": [ { … } ], "commonResourceAttributes": { "cloudState": "CONNECTED", "errCode": "E01", "errMessage": "This storage system is not actively monitored in the cloud portal. Data Services Cloud Console proactively disabled monitoring and management of storage system with serial number {systemId} for sending excessive cloud events or for not responding to requests." }, "descriptors": { "comment": "Comments", "contact": "1234567788e", "ipAddr": "1.1.1.1", "location": "US", "model": "AIX", "os": "Linux" }, "displayname": "Drive 0.SIDE_NONE.2.0", "domain": "slt", "generation": 1652172502, "hostId": 101780, "id": "132b493352ca3141456333edf403be0c", "initiatorChapEnabled": true, "initiatorChapName": "chapName", "initiatorEncryptedChapSecret": "secret", "isNvmfStretched": true, "isVvolHost": true, "minLunId": 10, "name": "test-host", "persona": { "capabilities": [ … ], "id": "string", "name": "test-host" }, "resourceUri": "/api/v3/hosts/2492b4e84f7536577a38be78f0da0c1a", "scHostId": "132b493352ca3141456333edf403be0c", "state": { "detailed": { … }, "overall": "NORMAL" }, "stateDescription": [ "string" ], "stateVal": 1, "systemUid": "swK21", "systemWwn": "swK21", "targetChapEnabled": true, "targetChapName": "sltest1", "targetEncryptedChapSecret": "Target Encrypted Chap Secret", "type": "string", "uaRepLun": true, "uri": "/api/v3/hosts/2492b4e84f7536577a38be78f0da0c1a" }